org.eclipse.jface.text.source

## Interface IAnnotationModelExtension2

All Known Implementing Classes:
  AbstractMarkerAnnotationModel, AnnotationModel, ProjectionAnnotationModel, ResourceMarkerAnnotationModel

    public interface IAnnotationModelExtension2

Extends `IAnnotationModel` with the ability to retrieve a set of annotations within a given region.

Since:
  3.4

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterator<Annotation>` `getAnnotationIterator(int offset, int length, boolean canStartBefore, boolean canEndAfter)` Returns an iterator over all annotations managed by this model that are inside the given region.

### Method Detail

#### getAnnotationIterator

    Iterator<Annotation> getAnnotationIterator(int offset,
                                               int length,
                                               boolean canStartBefore,
                                               boolean canEndAfter)

Returns an iterator over all annotations managed by this model that are inside the given region.

Parameters:
  `offset` - the start position of the region, must be >= 0
  `length` - the length of the region, must be >= 0
  `canStartBefore` - if `true` then annotations are included which start before the region if they end at or after the region's start
  `canEndAfter` - if `true` then annotations are included which end after the region if they start at or before the region's end
Returns:
  all annotations inside the region managed by this model